
Figure - Bug #114658
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】从应用小窗跳转到设置的操作，均会引起设置崩溃
2022-12-16 18:29 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Reproducibility: Every time Fixed Version: 2022-12-27

Test Type: IT Root cause: Settings 资源不完整，导致从小窗模式调起后，找不到资源，崩溃。

Description

以时钟为例

【前提条件】

1、设备已开机

2、时钟无通知权限

【测试步骤】

1、打开时钟小窗

2、打开闹钟

3、在时钟小窗下方弹出的提示中点击更改按钮

【预期结果】

3、跳到设置的相应页面

【实际结果】

3、点击之后小窗消失，重复多次设置崩溃

PS:其他从应用小窗跳转到设置的操作，均会引起设置崩溃

其他情况见附件视频

History

#1 - 2022-12-16 18:39 - CD TEST-方永红

- Severity changed from Major to Critical

#2 - 2022-12-19 10:43 - DL FW-张挽强

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-张挽强 to CD APP-王营

log：

132 E AndroidRuntime: java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.settings/com.android.settings.Settings$AppNotificationSettingsActivity}: android.view.InflateException: Binary XML file line #25 in

com.android.settings:layout/settings_main_prefs: Binary XML file line #25 in com.android.settings:layout/settings_main_prefs: Error inflating class

com.android.settings.widget.SettingsMainSwitchBar

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3636)
12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

12-16 05:05:24.226  8132  8132 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

12-16 05:05:24.226  8132  8132 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line #25 in com.android.settings:layout/settings_main_prefs:

Binary XML file line #25 in com.android.settings:layout/settings_main_prefs: Error inflating class com.android.settings.widget.SettingsMainSwitchBar

12-16 05:05:24.226  8132  8132 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line #25 in com.android.settings:layout/settings_main_prefs:

Error inflating class com.android.settings.widget.SettingsMainSwitchBar

■ My analysis

根据提供的Log分析，出现crash为应用内部XML解析导致的

■ Next action

麻烦应用侧调查一下

#3 - 2022-12-19 14:09 - CD APP-王营

- Assignee changed from CD APP-王营 to CD FW-廖涛

请分析一下这个Settings的crash

#4 - 2022-12-22 17:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171827 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

FW:Fix start NotificationSettings page argument error.TC-RID: 1201-0300901IssueID: TS-R-BUG-114658Change-Id:

If3164217fd995cddd2871dc1aecb405f699ba158

#5 - 2022-12-22 17:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171810 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix crash open from mini window.TC-RID: 1201-0201801IssueID: TS-R-BUG-114658Change-Id: I67abfbc99889b75ba11aa603e9eb43d45a44fcef
#6 - 2022-12-22 17:33 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-23

- Root cause set to Settings 资源不完整，导致从小窗模式调起后，找不到资源，崩溃。

■ Current conclusion

已解决崩溃问题。但从小窗模式中调起 Settings，Settings 展示页面样式不正常，这个需要小窗开发那边处理下，系统应用不能以小窗模式打开。

■ My analysis

Settings 资源不完整，导致从小窗模式调起后，找不到资源，崩溃。

■ Next action

测试验证。

#7 - 2022-12-27 16:19 - CD TEST-方永红

- File Phone-STS40X190122 2022-12-27 16-16-33.mp4 added

- Status changed from RESOLVED to VERIFY_FAILED

12.27

验证失败

第一次从小窗跳转到设置，可以成功跳转，但是页面显示整体缩小

重复操作，仍会造成设置崩溃

#8 - 2022-12-27 16:20 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

#9 - 2022-12-27 18:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172551 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix crash open from mini window.TC-RID: 1201-0201802IssueID: TS-R-BUG-114658Change-Id: I0dd673812d3d4275165421766a7c38e78721dae9

#10 - 2022-12-27 18:37 - CD FW-廖涛

- Status changed from VERIFY_FAILED to RESOLVED

- Fixed Version changed from 2022-12-23 to 2022-12-27

■ Current conclusion

跳转设置权限页面崩溃已处理。
■ My analysis

资源不完整导致的崩溃。已处理跳转通知设置和权限设置场景。

■ Next action

测试验证。

#11 - 2022-12-27 18:38 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

#12 - 2022-12-28 11:12 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

12.28

验证通过

#13 - 2022-12-28 11:12 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-16 18-24-58.mp4 19.2 MB 2022-12-16 CD TEST-方永红

Phone-STS40X190122 2022-12-16 17-56-21.mp4 27.8 MB 2022-12-16 CD TEST-方永红

logcat.txt 6.02 MB 2022-12-16 CD TEST-方永红

Phone-STS40X190122 2022-12-27 16-16-33.mp4 28.1 MB 2022-12-27 CD TEST-方永红
